#include <unistd.h>

typedef struct
{
	const char *user, *command, *shell;
	int login, fast;
} su_context;

extern int is_terminal;

void store_terminal_modes();
int reset_terminal_modes();
void disable_terminal_signals();
void enable_terminal_signals();
int change_terminal_owner(uid_t uid, int is_login,
          const char **callname, const char **err_descr);
void restore_terminal_owner();
int make_process_unkillable(const char **callname
        , const char **err_descr);
int make_process_killable();
void parse_command_line(int argc, char *argv[], su_context *ctx);

